
local E_MODEL_DK64 = smlua_model_util_get_id("sponge_geo")

local TEXT_MOD_NAME = "Spongebob"

local VOICETABLE_SPONGE = {
    [CHAR_SOUND_ATTACKED] = {'sbpain1.ogg', 'sbpain4.ogg', 'sbpain6.ogg', 'sbpain9.ogg'},
    [CHAR_SOUND_DOH] = 'sbpain1.ogg',
    [CHAR_SOUND_DYING] = 'sbbad2.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'sbchop6.ogg',
    [CHAR_SOUND_HAHA] = 'sbwhew01.ogg',
    [CHAR_SOUND_HAHA_2] = 'sbwhew01.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'sbgood4.ogg',
    [CHAR_SOUND_HOOHOO] = 'sbpain6.ogg',
    [CHAR_SOUND_HRMM] = 'sbwhew01.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'ready.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'sbbad6.ogg',
	[CHAR_SOUND_OKEY_DOKEY] = 'sbgood7.ogg',
    [CHAR_SOUND_ON_FIRE] = 'sbpain14.ogg',
    [CHAR_SOUND_OOOF] = 'sbpain4.ogg',
    [CHAR_SOUND_OOOF2] = 'sbpain4.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'sbyell4.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'sbjump4.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'sbjump3.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'sbchop6.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'sbgood7.ogg',
    [CHAR_SOUND_UH] = 'sbwhew01.ogg',
    [CHAR_SOUND_UH2] = 'sbjump1.ogg',
    [CHAR_SOUND_UH2_2] = 'sbwhew01.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'sbpain14.ogg',
    [CHAR_SOUND_WAH2] = 'sbjump1.ogg',
    [CHAR_SOUND_WHOA] = 'sbpain6.ogg',
    [CHAR_SOUND_YAHOO] = 'sbpain6.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'sbgood7.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = 'sbjump3.ogg'
}

local TEX_DK64 = get_texture_info("sponge-icon")

if _G.charSelectExists then
    _G.charSelect.character_add("SpongeBob Squarepants", {"IM READY!!!"}, "CaptainT.", {r = 99, g = 62, b = 33}, E_MODEL_DK64, CT_MARIO, TEX_DK64)

    _G.charSelect.character_add_voice(E_MODEL_DK64, VOICETABLE_SPONGE)

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_SPONGE then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_SPONGE then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end

